#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
#  US Government Users Restricted Rights- Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
"""Data manipulate functions
"""

def uniqueStringItems(s, separator):

  """Convert input string to unique items separated 
     by separator. This is useful to create a unique
     items like environment variable LIB_PATH, 
     LD_LIBRARY_PATH, PATH, etc
  """

  if (s == ""):
    return ""

  items = s.split(separator)
  uniqiue = []
  for i in items:
    found = 0
    for j in uniqiue:
      if (i == j):
        found = 1
	break
    if (found):
      unique.append(i)
  
  result = unique[0]
  for i in unique[1:]:
    result += separator + i

  return result
